summaryrefslogtreecommitdiffstats
path: root/initscript/suse/avahi-daemon.in
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/suse/avahi-daemon.in')
-rw-r--r--initscript/suse/avahi-daemon.in47
1 files changed, 47 insertions, 0 deletions
diff --git a/initscript/suse/avahi-daemon.in b/initscript/suse/avahi-daemon.in
new file mode 100644
index 0000000..1625464
--- /dev/null
+++ b/initscript/suse/avahi-daemon.in
@@ -0,0 +1,47 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: avahi
+# Required-Start: $network dbus
+# Default-Start: 3 5
+# Default-Stop:
+# Description: Avahi, a ZeroConf daemon for mDNS and service registration
+### END INIT INFO
+
+AVAHI_BIN=@sbindir@/avahi-daemon
+test -x $AVAHI_BIN || exit 5
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting Avahi daemon"
+ /sbin/startproc $AVAHI_BIN -D
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Avahi daemon"
+ $AVAHI_BIN -k || /bin/true
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ echo -n "Reloading Avahi daemon"
+ $AVAHI_BIN -r
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for Avahi daemon: "
+ $AVAHI_BIN -c
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+